Skip to main content
GET
/
api
/
ContactAddress
/
{contactAddressId}
Get a Contact Address
curl --request GET \
  --url https://api.virtuoussoftware.com/api/ContactAddress/{contactAddressId} \
  --header 'Authorization: Bearer <token>'
{
  "id": "<integer>",
  "label": "<string>",
  "address1": "<string>",
  "address2": "<string>",
  "city": "<string>",
  "state": "<string>",
  "postal": "<string>",
  "country": "<string>",
  "isPrimary": "<boolean>",
  "canBePrimary": "<boolean>",
  "startMonth": "<integer>",
  "startDay": "<integer>",
  "endMonth": "<integer>",
  "endDay": "<integer>",
  "createDateTimeUtc": "<dateTime>",
  "createdByUser": "<string>",
  "modifiedDateTimeUtc": "<dateTime>",
  "modifiedByUser": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

contactAddressId
string
required

(Required) The contact address identifier.

Response

200 - application/json

OK

id
string
label
string
address1
string
address2
string
city
string
state
string
postal
string
country
string
isPrimary
string
canBePrimary
string
startMonth
string
startDay
string
endMonth
string
endDay
string
createDateTimeUtc
string
createdByUser
string
modifiedDateTimeUtc
string
modifiedByUser
string
Last modified on June 5, 2026